import { CmsPageDto, CmsPagePageDto } from "@smallstack/axios-api-client";
import { BaseWidgetComponent, WidgetConfigurationSchema } from "@smallstack/widget-core";
import * as i0 from "@angular/core";
export declare class SmallstackWikiPageWidgetComponent extends BaseWidgetComponent {
    wikiPagesResponse: CmsPagePageDto;
    allWikiPages: CmsPageDto[];
    selectedWikiPage: CmsPageDto;
    static getConfiguration(): Promise<WidgetConfigurationSchema>;
    constructor();
    /**
     * Get all smallstack website cms pages with tag "wiki".
     */
    private getReleaseNotesCmsPages;
    static ɵfac: i0.ɵɵFactoryDeclaration<SmallstackWikiPageWidgetComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SmallstackWikiPageWidgetComponent, "ng-component", never, {}, {}, never, never, false, never>;
}
