import { WidgetDto } from "@smallstack/axios-api-client";
import { SchemaFormSchema } from "@smallstack/form-shared";
import { BaseWidgetComponent } from "@smallstack/widget-core";
import * as i0 from "@angular/core";
export declare abstract class BaseContainerWidgetComponent extends BaseWidgetComponent {
    static direction: "row" | "column";
    containerDisplay: string;
    get backgroundColor(): string;
    get color(): string;
    static getConfiguration(): SchemaFormSchema;
    addWidget(widget: WidgetDto): void;
    childDataChanged(index: number, cmsComponent: WidgetDto): void;
    get style(): CSSStyleDeclaration;
    static ɵfac: i0.ɵɵFactoryDeclaration<BaseContainerWidgetComponent, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<BaseContainerWidgetComponent, never, never, {}, {}, never, never, false, never>;
}
