import { Params } from "@angular/router";
import { TranslationStore } from "@smallstack/i18n-components";
import { FrontendTypeRegistry } from "@smallstack/type-components";
import { BaseWidgetComponent } from "@smallstack/widget-core";
import { Observable } from "rxjs";
import * as i0 from "@angular/core";
export declare class EntityLinkWidgetComponent extends BaseWidgetComponent {
    #private;
    private frontendTypeRegistry;
    private translationStore;
    protected representation$: Observable<any>;
    protected routerLink$: Observable<string>;
    protected queryParams$: Observable<Params>;
    constructor(frontendTypeRegistry: FrontendTypeRegistry, translationStore: TranslationStore);
    static ɵfac: i0.ɵɵFactoryDeclaration<EntityLinkWidgetComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<EntityLinkWidgetComponent, "smallstack-entity-link-widget", never, {}, {}, never, never, false, never>;
}
